/* ===========================
   RESET
=========================== */

*{
    margin:0;
    padding:0;
    box-sizing:border-box;
}

html{
    scroll-behavior:smooth;
}

body{
    font-family:var(--body-font);
    background:var(--cream);
    color:var(--black);
    overflow-x:hidden;
}


/* ===========================
   VARIABLES
=========================== */

:root{

    --black:#111111;
    --white:#ffffff;
    --cream:#F8F4EC;

    --red:#8B1E2D;
    --red-light:#d43950;

    --gold:#C8A15A;
    --gold-light:#E0BE74;

    --grey:#5E5E5E;

    --heading-font:"Cinzel", serif;
    --body-font:"Poppins", sans-serif;

    --section-padding:120px;
    --transition:.3s ease;
    --shadow:0 10px 30px rgba(0,0,0,.15);

}


/* ===========================
   GLOBAL
=========================== */

.container{

    width:min(1200px,90%);
    margin:auto;

}

section{

    padding:var(--section-padding) 0;

}

h1,h2,h3{

    font-family:var(--heading-font);
    font-weight:600;

}

h1{

    font-size:4rem;

}

h2{

    font-size:2.8rem;

}

p{

    line-height:1.8;
    color:var(--grey);

}

a{

    text-decoration:none;

}


/* ===========================
   NAVBAR
=========================== */

header{

    position:fixed;
    width:100%;
    top:0;
    left:0;

    z-index:1000;

    background:rgba(17,17,17,.85);
    backdrop-filter:blur(10px);

}

.navbar{

    width:min(1200px,90%);
    margin:auto;

    height:90px;

    display:flex;

    align-items:center;

    gap:40px;

}

.nav-links{

    display:flex;

    align-items:center;

    gap:40px;

    justify-content: center;

    flex: 1;

}

.navbar a{

    color:var(--white);

    transition:var(--transition);

    font-weight:500;

}

.navbar a:hover{

    color:var(--gold);

}

.logo{

    margin-right: 0;

    height:70px;

    width:70px;

    border-radius:15px;

    overflow:hidden;

    box-shadow:var(--shadow);

}

.menu-toggle{

    display:none;

    width:40px;

    height:40px;

    background:none;

    border:none;

    cursor:pointer;

    position:relative;

    margin-left:auto;

    z-index:1002;

}

.menu-toggle span{

    position:absolute;

    left:5px;

    width:30px;

    height:3px;

    background:var(--white);

    border-radius:5px;

    transition:.35s ease;

}

.menu-toggle span:nth-child(1){

    top:10px;

}

.menu-toggle span:nth-child(2){

    top:18px;

}

.menu-toggle span:nth-child(3){

    top:26px;

}

.menu-toggle.active span:nth-child(1){

    transform:rotate(45deg);

    top:18px;

}

.menu-toggle.active span:nth-child(2){

    opacity:0;

}

.menu-toggle.active span:nth-child(3){

    transform:rotate(-45deg);

    top:18px;

}

/* ===========================
   HERO
=========================== */

.hero{

    min-height:100vh;

    display:flex;

    flex-direction:column;

    justify-content:center;

    align-items:center;

    text-align:center;

    padding:0 20px;

    position:relative;

    overflow:hidden;

}

.hero::before{

    content:"";

    position:absolute;

    inset:0;

    background:linear-gradient(
        rgba(0,0,0,.75),
        rgba(0,0,0,.65)
    );

    z-index:1;

}

.hero-content{

    position:relative;

    z-index:2;
}

.hero h1{

    color:var(--cream);

    font-size:6rem;

    font-weight:700;

    letter-spacing:6px;

    text-transform:uppercase;

    text-shadow:
        10px 10px 20px rgba(0, 0, 0, 1);

    margin-bottom:25px;

}

.hero p{

    color:var(--cream);

    font-size:1.6rem;

    font-weight:500;

    text-shadow:
        15px 15px 10px rgba(0,0,0,.8);

    margin-bottom:45px;

}

.hero-video{
    position:absolute;

    top:0;
    left:0;

    width:100%;
    height: 100%;

    object-fit:cover;

}

.hero-button{

    display:inline-block;

    padding:15px 35px;

    border-radius:50px;

    transition:var(--transition);

    margin:10px;

    font-weight:bold;

    background:var(--cream);

    color:var(--black);

    text-shadow:
    10px 10px 20px rgba(0, 0, 0, 1);

}

.hero-button:hover{

    color:var(--cream);

    border:2px solid var(--cream);

    background-color: rgba(0, 0, 0, 0) ;

}


/* ===========================
   BUTTONS
=========================== */

.primary-button,
.secondary-button{

    display:inline-block;

    padding:15px 35px;

    border-radius:50px;

    transition:var(--transition);

    margin:10px;

    font-weight:bold;

}

.primary-button{

    display:inline-block;

    width:fit-content;

    padding:16px 34px;

    border-radius:50px;

    background:var(--gold);

    color:var(--black);

    font-weight:600;

    transition:.3s ease;

}

.primary-button:hover{

    transform:translateY(-4px);

    box-shadow:0 15px 35px rgba(200,161,90,.4);

}

.secondary-button{

    border:2px solid var(--white);

    color:var(--white);

}

.secondary-button:hover{

    background:var(--white);

    color:var(--black);

}


/* ===========================
   ABOUT
=========================== */

#about{

    background:var(--white);

}

#about .container{

    display:flex;

    align-items:center;

    gap:80px;

}

.about-image{

    flex:1;

    height:500px;

    border-radius:15px;

    overflow:hidden;

    box-shadow:var(--shadow);

}

.about-image img{

    width:100%;

    height:550px;

    object-fit:cover;

    border-radius:20px;

    box-shadow:0 20px 50px rgba(0,0,0,.2);

    transition:.4s ease;

}

.about-image img:hover{
    transform:scale(1.03);
}

.about-content{

    flex:1;

    display:flex;

    flex-direction:column;

    justify-content:center;

    padding: 20px;
}

.about-content h2{

    position: relative;

    margin-bottom:40px;

}

.about-content h2::after{

    content:"";

    display:block;

    width:180px;

    height:4px;

    background:var(--gold);

    margin-top:15px;

    border-radius:10px;

}

.about-content p{

    margin-bottom:30px;

}

.h2story{
    padding: 30px;
}

/* ===========================
   PROGRAMME
=========================== */

#programme{

    background:#f6f3ed;

}

.section-title{

    text-align:center;

    max-width:700px;

    margin:0 auto 80px;

}

.section-title h2{

    margin-bottom:20px;

}

.featured-film{

    display:flex;

    gap:70px;

    align-items:center;

    background-color:var(--white);

    padding:40px;

    border-radius:20px;

    margin-bottom:40px;

}

.featured-image{

    flex:1;

}

.featured-image img{

    width:100%;

    border-radius:20px;

    box-shadow:var(--shadow);

}

.featured-content{

    flex:1;

}

.featured-content span{

    color:var(--gold);

    font-weight:700;

    text-transform:uppercase;

    letter-spacing:2px;

}

.featured-content h3{

    font-size:2.4rem;

    margin:20px 0;

}

.featured-content p{

    margin-bottom:30px;

}

.featured-film{

    transition:.4s;

}

.featured-film:hover{

    transform:translateY(-6px);

}

.film-grid{

    display:grid;

    grid-template-columns:
    repeat(1,1fr);

    gap:40px;

    padding: 20px 20px;

}

.film-card{

    background:var(--white);

    border-radius:20px;

    overflow:hidden;

    box-shadow:var(--shadow);

    transition:.35s ease;

}

.facebook:hover {
    text-decoration: underline;
}

.film-card img{

    width:100%;

    height:420px;

    object-fit:cover;

    display:block;

    transition:.4s;

}

.film-info{

    padding:30px;

}

.film-info h3{

    margin-bottom:15px;

    font-size:1.7rem;

}

.film-info p{

    margin-bottom:25px;

}

.film-card:hover{

    transform:translateY(-10px);

    box-shadow:0 25px 45px rgba(0,0,0,.2);

}

.film-date{

    color:var(--gold);

    font-weight:600;

    margin:12px 0;

}

.film-tag{

    display:inline-block;

    background:var(--red-light);

    color:var(--white);

    padding:6px 14px;

    border-radius:30px;

    font-size:.85rem;

    margin-bottom:15px;

}

.film-highlight{

    font-weight:600;

    color:var(--black);

    margin-bottom:15px;

}

/* ===========================
   FESTIVAL SCHEDULE
=========================== */

.festival-schedule{

    margin:70px 0;

}

.schedule-card{

    background:var(--white);

    border-radius:25px;

    padding:45px;

    box-shadow:var(--shadow);

    margin-top:40px;

}

.schedule-row{

    display:grid;

    grid-template-columns:220px 1fr;

    gap:40px;

    align-items:flex-start;

    padding:30px 0;

}

.schedule-date h3{

    color:var(--red);

    font-size:2rem;

    margin-bottom:8px;

}

.schedule-date span{

    color:var(--grey);

    font-weight:600;

}

.schedule-divider{

    height:1px;

    background:#e5dfd4;

}

.schedule-item{

    display:grid;

    grid-template-columns:90px 1fr;

    align-items:start;

    gap:20px;

    margin-bottom:22px;

}

.schedule-item:last-child{

    margin-bottom:0;

}

.time{

    background:var(--gold);

    color:var(--black);

    font-weight:700;

    min-width:75px;

    text-align:center;

    padding:8px 12px;

    border-radius:10px;

}

.schedule-item p{

    color:var(--black);

    font-size:1.05rem;

    margin:0;

}

.schedule-details{

    display:flex;

    flex-direction:column;

    gap:5px;

}

.schedule-location{

    color:var(--grey);

    font-size:.9rem;

    font-weight:500;

}

.time{

    min-width:60px;

    background:var(--gold);

    color:var(--black);

    padding:8px 10px;

    border-radius:8px;

    font-weight:bold;

    text-align:center;

}

.schedule-event p{

    color:var(--black);

    margin:0;

}

.passes-grid{

    display:grid;

    grid-template-columns:repeat(2,1fr);

    gap:40px;

    margin:50px 0 80px;

}

.pass-card{

    background:var(--white);

    border-radius:25px;

    padding:40px;

    box-shadow:var(--shadow);

    transition:.35s ease;

    display:flex;

    flex-direction:column;

    position: relative;

}

.pass-card:hover{

    transform:translateY(-8px);

    box-shadow:0 20px 45px rgba(0,0,0,.18);

}

.passes-image{

    display:flex;

    justify-content:center;

    margin-bottom:25px;

}

.passes-image img{

    width:120px;

}

.pass-info h3{

    font-size:2rem;

    margin-bottom:15px;

    text-align:center;

}

.pass-price{

    font-size:3rem;

    color:var(--gold);

    font-weight:700;

    text-align:center;

    margin:20px 0;

}

.pass-features{

    list-style:none;

    margin:25px 0;

}

.pass-features li{

    margin:12px 0;

    color:var(--grey);

}

.pass-card .primary-button{

    margin-top:auto;

    align-self:center;

}

.vip-badge{

    position:absolute;

    top:20px;

    right:20px;

    background:var(--gold);

    color:var(--black);

    padding:8px 16px;

    border-radius:30px;

    font-size:.8rem;

    font-weight:700;

}

.day-badge{

    position:absolute;

    top:20px;

    right:20px;

    background:var(--gold);

    color:var(--black);

    padding:8px 16px;

    border-radius:30px;

    font-size:.8rem;

    font-weight:700;
}

.pass-card.vip{

    border:3px solid var(--gold);

    position:relative;

}

.bar{
    padding: 20px;

    display: flex;

    border-radius: 12px;

    justify-content: center;

    align-items: center;

}


.bar-content{

    position:relative;

    z-index:2;
}

.bar .primary-button{

    display:inline-block;

    padding:15px 35px;

    border-radius:50px;

    transition:var(--transition);

    margin:10px;

    font-weight:bold;

    scale: 1.5;

}

.bar .primary-button:hover{

    transform:translateY(-0px);

    box-shadow:0 15px 35px rgba(200,161,90,.4);

}

.event-price{
    font-size:2rem;

    color:var(--gold);

    font-weight:700;

    text-align:left;

    margin:20px 0;
}


/* ===========================
   SUBMIT
=========================== */

#submit{

    background:var(--cream);

}

.categories-grid{

    display:grid;

    grid-template-columns:repeat(3,1fr);

    gap:30px;

    margin-top:60px;

}

.category-card{

    background:var(--white);

    padding:35px;

    border-radius:20px;

    box-shadow:var(--shadow);

    transition:.3s ease;

}

.category-card:hover{

    transform:translateY(-8px);

}

.category-card h3{

    color:var(--red);

    margin-bottom:18px;

    font-size:1.5rem;

}

.submit-footer{

    margin-top:70px;

    text-align:center;

}

.submit-footer p{

    max-width:750px;

    margin:0 auto 35px;

}

/* ===========================
   GALLERY
=========================== */

#gallery{

    background:#f7f4ee;

}

.gallery-wrapper{

    display:flex;

    align-items:center;

    gap:25px;

    margin-bottom:70px;

}

.gallery-track{

    display:flex;

    gap:20px;

    overflow-x:auto;

    scroll-behavior:smooth;

    scrollbar-width:none;

    flex:1;

}

.gallery-track::-webkit-scrollbar{

    display:none;

}

.gallery-track img{

    width:420px;

    height:270px;

    object-fit:cover;

    border-radius:18px;

    flex-shrink:0;

    transition:.35s;

    box-shadow:var(--shadow);

}

.gallery-track img:hover{

    transform:scale(1.03);

}

.gallery-btn{

    width:60px;

    height:60px;

    border-radius:50%;

    border:none;

    background:var(--gold);

    cursor:pointer;

    font-size:1.7rem;

    transition:.3s;

}

.gallery-btn:hover{

    background:var(--gold-light);

}

/* Masonry */

.gallery-grid{

    column-count:4;

    column-gap:18px;

}

.gallery-grid img{

    width:100%;

    margin-bottom:18px;

    border-radius:14px;

    display:block;

    transition:.35s;

    cursor:pointer;

    break-inside:avoid;

    box-shadow:var(--shadow);

}

.gallery-grid img:hover{

    transform:scale(1.02);

}

/* ===========================
   SPONSORS
=========================== */

#sponsors{

    background:#180303;

    color:white;

}

#sponsors .section-title h2{

    color:white;

}

#sponsors .section-title p{

    color:#ddd;

}

.sponsor-grid{

    display:grid;

    grid-template-columns:repeat(4,1fr);

    gap:40px;

    align-items:center;

    margin-top:70px;

}

.sponsor-grid img{

    width:100%;

    max-height:130px;

    object-fit:contain;

    transition:.3s;

    filter:brightness(.95);

}

.sponsor-grid img:hover{

    transform:scale(1.05);

    filter:brightness(1.1);

}

/* ===========================
   CONTACT
=========================== */

#contact{

    background:var(--black);

}

#contact .section-title h2{

    color:var(--cream);

}

#contact .section-title p{

    color:#d6d6d6;

}

.contact-grid{

    display:grid;

    grid-template-columns:repeat(3,1fr);

    gap:40px;

    margin-top:60px;

}

.contact-card{

    background:rgba(255,255,255,.05);

    border:1px solid rgba(255,255,255,.08);

    border-radius:20px;

    padding:40px;

    text-align:center;

    transition:.3s ease;

}

.contact-card:hover{

    transform:translateY(-8px);

}

.contact-card h3{

    color:var(--gold);

    margin-bottom:18px;

    font-size:1.6rem;

}

.contact-card p{

    color:var(--cream);

}

.socials {
    color: white;

    display: flex;

    justify-content: center;

    text-align: center;

    padding: 5px;

}

.socials:hover {
    text-decoration: underline;
}

/* ===========================
   FOOTER
=========================== */

footer{

    background:var(--black);

    color:var(--white);

    text-align:center;

    padding:40px;
}

/* ===========================
   DROPDOWN
=========================== */

.dropdown{

    position:relative;

}

.dropdown-content{

    position:absolute;

    top:100%;
    left:0;

    min-width:240px;

    background:rgba(17,17,17,.96);

    border-radius:12px;

    overflow:hidden;

    box-shadow:var(--shadow);

    opacity:0;

    visibility:hidden;

    transform:translateY(15px);

    transition:.3s ease;

}

.dropdown-content a{

    display:block;

    padding:16px 20px;

    color:var(--white);

    transition:.3s;

}

.dropdown-content a:hover{

    background:var(--gold);

    color:var(--black);

}

.dropdown:hover .dropdown-content{

    opacity:1;

    visibility:visible;

    transform:translateY(0);

}

/* ===========================
   AWARDS
=========================== */

#awards{

    background:var(--white);

}

.awards-grid{

    display:flex;

    gap:40px;

    margin-top:60px;

}

.award-card{

    background:var(--cream);

    border-radius:20px;

    overflow:hidden;

    box-shadow:var(--shadow);

    transition:.35s ease;

}

.judging-panel{

    display:block;

    width:100%;

    max-width:950px;

    height:auto;

    margin:40px auto;

    border-radius:20px;

}

.prizes h2 {
    text-align: center;

    padding: 12px;
}

.prizes p {
    text-align: center;

    padding: 12px;
}

.award-card:hover{

    transform:translateY(-10px);

}

.award-info{

    padding:30px;

}

.award-info h3{

    margin-bottom:15px;

    font-size:2rem;

    color:var(--red);

}

.award-description{

    margin-bottom:20px;

}

.award-judge{

    color:var(--gold);

    font-weight:600;

}

/* ===========================
   Accesability & Diveristy
=========================== */

.diverse1 {
    text-align: center;

    padding: 20px;
}

.diverse2 {
    text-align: center;

    padding: 20px;
}

.diverse3{
    display:block;
    width:100%;
    max-width:950px;
    height:auto;
    margin:40px auto;
    border-radius:20px;
}


/* ===========================
   Film Hub North
=========================== */

.film-hub{

    text-align: center;

}

.film-hub .primary-button{

    display: inline-block;

    margin: 30px auto 0;
}

/* ===========================
   MOBILE
=========================== */

@media (max-width: 768px){

    /* Navbar */

    .navbar{
        flex-wrap:wrap;
        gap:15px;
        height:auto;
        padding:15px 0;

        display: flex;

        align-items: center;

        justify-content: space-between;
    }

    .navbar a{
        font-size:.9rem;
    }

    .logo{
        width:55px;
        height:55px;
    }

    .menu-toggle{

        display:block;

    }

    .nav-links{

        position:fixed;

        top:0;

        right:-100%;

        width:300px;

        height:100vh;

        background:rgba(17,17,17,.97);

        backdrop-filter:blur(15px);

        display:flex;

        flex-direction:column;

        justify-content:center;

        align-items:center;

        gap:35px;

        transition:right .4s ease;

        z-index:1001;

    }

    .nav-links.active{

        right:0;

    }

    /* Hero */

    .hero h1{
        font-size:2.8rem;
        letter-spacing:2px;
    }

    .hero p{
        font-size:1.1rem;
    }

    .hero-buttons{
        display:flex;
        flex-direction:column;
        align-items:center;
    }

    .hero-button{
        width:220px;
        text-align:center;
    }

    /* About */

    #about .container{
        flex-direction:column;
        gap:40px;
    }

    .about-image{
        width:100%;
        height:350px;
    }

    .about-image img{
        height:100%;
    }

    .about-content{
        text-align:center;

        justify-content: center;

        align-items: center;
    }

    .about-content h2::after{
        margin:auto;
        margin-top:15px;
    }

    /* Passes */

    .passes-grid{
        grid-template-columns:1fr;
        gap:30px;
    }

    .schedule-card{

        padding:25px;

    }

    .schedule-row{

        grid-template-columns:1fr;

        gap:20px;

    }

    .schedule-date{

        text-align:center;

    }

    .schedule-item{

        flex-direction:column;

        align-items:center;

    }

    /* Featured film */

    .featured-film{
        flex-direction:column;
        gap:30px;
        padding:25px;
    }

    .featured-content h3{
        font-size:1.8rem;
    }

    /* Film cards */

    .film-grid{
        gap:25px;
        padding:0;
    }

    .film-card img{
        height:240px;
    }

    .film-info{
        padding:20px;
    }

    .film-info h3{
        font-size:1.4rem;
    }

    /* Bar */

    .bar .primary-button{
        transform:scale(.9);
    }

    /* General */

    h2{
        font-size:2rem;
    }

    section{
        padding:70px 0;
    }

    /* Awards */

    .award-card{

        max-width:500px;

        width:100%;

        margin:0 auto;

    }

    .categories-grid{

        grid-template-columns:1fr;

    }

    .gallery-grid{

    column-count:2;

    }

    .sponsor-grid{

        grid-template-columns:repeat(2,1fr);

    }

    .gallery-track img{

        width:300px;

        height:200px;

    }

    .gallery-btn{

        width:45px;

        height:45px;

        font-size:1.2rem;

    }

    .contact-grid{

        grid-template-columns:1fr;

    }

    .judging-panel,
    .diverse3{
        width:100%;
        max-width:100%;
        height:auto;
        border-radius:12px;
        margin:20px auto;
    }

    .film-hub{
        text-align:center;
    }

    .film-hub .primary-button{
        display:inline-block;
        margin:25px auto 0;
    }

}

/* ===========================
   TERMS & PRIVACY
=========================== */

.tcs {
    text-align: center;

    color: var(--cream);

    display: flex;

    justify-content: center;

    padding: 12px 12px;
}

.tcs:hover {
    text-decoration: underline;
}

.terms-page{

    background:var(--cream);
    min-height:100vh;

}

.terms-content{

    max-width:900px;
    margin:0 auto 50px;

    background:var(--white);

    padding:60px;

    border-radius:20px;

    box-shadow:var(--shadow);

}

.terms-content h2{

    color:var(--red);

    font-size:2.3rem;

    margin-bottom:35px;

}

.terms-content h3{

    color:var(--red);

    font-family:var(--heading-font);

    font-size:1.5rem;

    margin-top:35px;

    margin-bottom:15px;

}

.terms-content h3:first-of-type{

    margin-top:0;

}

.terms-content p{

    margin-bottom:20px;

}

.terms-content ul{

    margin:10px 0 25px 25px;

    color:var(--grey);

}

.terms-content li{

    margin-bottom:10px;

    line-height:1.7;

}

.privacy-content{

    margin-top:50px;

}


@media (max-width:768px){

    .terms-content{

        padding:30px 20px;

        margin-bottom:30px;

    }

    .terms-content h2{

        font-size:1.9rem;

    }

    .terms-content h3{

        font-size:1.3rem;

    }

}
